typedef struct {
   short meas;
   short secs[2];
   short offset;
   short energy;
   short elev;
   unsigned short azim[4];
} ELECTRONS;
 
typedef struct {
   short meas;
   short secs[2];
   short offset;
   short energy;
   short elev;
   unsigned short azim[8];
} IONS;
 
typedef struct {
   short meas;
   short secs[2];
   short offset;
   short energy;
   short elev;
   unsigned short data[4];
} ANCIL;

typedef struct {
   short meas;
   short secs[2];
   short offset;
   short energy;
   unsigned short data[15];
} MASSQ;

typedef struct {
   short meas;
   short secs[2];
   unsigned short data[1024];
} TIMEOF;

enum TYPES { ELE = 0, ION, TOF, MQ, LOG };
int  LSB = 0;

ELECTRONS ele;
IONS      ion;
TIMEOF    tof;                                  
MASSQ     mq;
ANCIL     logs;
FILE      *ifptr;
FILE      *ofptr;

